Bug 241313 - setting "highlight the pointer..." in mouse-properties breaks keyboard applet
setting "highlight the pointer..." in mouse-properties breaks keyboard applet
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: control-center (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Depends On:
  Show dependency treegraph
Reported: 2007-05-24 21:48 EDT by Toshiyuki Takamiya
Modified: 2015-06-01 21:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-07 23:50:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eido Inoue 2007-05-24 21:48:54 EDT
Description of problem:
The cursor-locater assistance functionality interferes with people that use more
than one keyboard (for example, those that use a Dvorak keyboard with there
Qwerty laptop when it's docked)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add keyboard selector applet to panel. Create a U.S. Dvorak keyboard in
addition to main U.S. keyboard. Set to a 104-key keyboard
2. Enable "highlight the pointer..." in gnome-mouse-properties.
3. Switch to Dvorak in gnome-terminal. Attempt to use control-C etc. 
Actual results:
Mapping for the control keys follows main keyboard and not chosen keyboard.
Sometimes it follows neither.

Expected results:
Control keys should follow the mapping of the selected keyboard.

Additional info:
It seems that the cursor locater functionality also affects each window's
ability to remember its state (which keyboard its using) as well.
Comment 2 Bastien Nocera 2009-05-07 23:50:51 EDT
Long-standing known bug:

Note You need to log in before you can comment on or make changes to this bug.